protolabs42

Update a memory edge

Update the strength or metadata of an existing graph edge.

PATCH
/memory/relate/{edge_id}

Update the strength or metadata of an existing graph edge.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Path Parameters

edge_id*string

Edge ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://chorus.runclaw.run/memory/relate/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "string",
    "in": "string",
    "out": "string",
    "relation_type": "supports",
    "strength": 1,
    "metadata": {
      "property1": null,
      "property2": null
    },
    "created_at": "string"
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}